<!DOCTYPE html>
<html lang="en">
  <head>
      <meta charset="UTF-8">
      <title>Quick Ad-Hoc Connection</title>
      <meta name="viewport" content="width=device-width,initial-scale=1">
      <link href="https://fonts.googleapis.com/css?family=Open+Sans:400,600,300" rel="stylesheet" type="text/css">
      <link rel="stylesheet" href="style.css">
      <script type="text/javascript" src="main.js"></script>
  </head>
  <body>
    <div class="login_form">
      <p class="title">Quick Ad-Hoc Connection</p>
      <p class="subtitle">CyberArk Authentication</p>

      <label for="pvwa_address">PVWA Address</label><br>
      <input type="text" id="pvwa_address" name="pvwa_address"><br>
      <label for="cybr_username">Login</label><br>
      <input type="text" id="cybr_username" name="login"><br>
      <label for="cybr_password">Password</label><br>
      <input type="password" id="cybr_password" name="password"><br>
      <button onclick="api_authenticate()">Login</button><br>

      <label for="api_token">(DEBUG) API Token</label><br>
      <input type="text" id="api_token" name="api_token" disabled="disabled"><br>
    </div>
    <div class="adhoc_form">
      <p class="subtitle">AdHoc Connection</p>
      
      <label for="adhoc_username">Username</label><br>
      <input type="text" id="adhoc_username" name="username" disabled="disabled"><br>
      <label for="adhoc_password">Password</label><br>
      <input type="password" id="adhoc_password" name="password" disabled="disabled"><br>
      <label for="address">Address</label><br>
      <input type="text" id="address" name="address"><br>
      <button onclick="adhoc_connect()">Connect</button><br>
    </div>
  </body>
</html>
